; belttdat.asm - tune data for Black Belt gfx
; as reproduced by George Patsos (2015)
; FRQ are the used note values (for PAL&NTSC)
; DUR_PAL are the used note length values
; for PAL machines
; DUR_NTSC are the used note length values
; for NTSC machines
; NOTES are the packed note and length index
; values: high nibble length, low nibble note

FRQ
	dw $0000, $02AD, $02E3, $0302, $031E, $032A, $0342, $0356
	dw $0360, $0369, $0371, $0379, $03FE
DUR_PAL
	db $00, $02, $07, $0F, $16, $1E, $25, $2D
	db $34, $3C, $43, $5A, $61
DUR_NTSC
	db $00, $02, $08, $12, $1A, $24, $2C, $36
	db $3E, $47, $50, $6B, $74
NOTES
	db $1C, $00, $1C, $00, $1C, $21, $1C, $23
	db $1C, $24, $1C, $45, $1C, $26, $1C, $24
	db $1C, $32, $1C, $83, $1C, $24, $1C, $25
	db $1C, $44, $1C, $52, $1C, $63, $1C, $21
	db $1C, $23, $1C, $24, $1C, $45, $1C, $26
	db $1C, $24, $1C, $32, $1C, $87, $1C, $26
	db $1C, $25, $1C, $46, $1C, $54, $1C, $63
	db $1C, $21, $1C, $23, $1C, $24, $1C, $45
	db $1C, $26, $1C, $24, $1C, $32, $1C, $83
	db $1C, $24, $1C, $25, $1C, $44, $1C, $52
	db $1C, $63, $1C, $21, $1C, $23, $1C, $24
	db $1C, $45, $1C, $26, $1C, $34, $1C, $32
	db $1C, $87, $1C, $26, $1C, $25, $1C, $46
	db $1C, $34, $1C, $25, $1C, $36, $1C, $77
	db $1C, $28, $1C, $37, $1C, $86, $1C, $56
	db $1C, $36, $1C, $27, $1C, $36, $1C, $85
	db $1C, $95, $1C, $33, $1C, $34, $1C, $25
	db $1C, $36, $1C, $34, $1C, $21, $1C, $22
	db $1C, $21, $1C, $24, $1C, $21, $1C, $22
	db $1C, $21, $1C, $37, $1C, $36, $1C, $25
	db $1C, $46, $1C, $57, $1C, $37, $1C, $28
	db $1C, $37, $1C, $26, $1C, $76, $1C, $76
	db $1C, $26, $1C, $4A, $1C, $38, $1C, $27
	db $1C, $48, $1C, $58, $1C, $57, $1C, $56
	db $1C, $55, $1C, $76, $1C, $26, $1C, $A7
	db $1C, $79, $1C, $29, $1C, $AB, $1C, $53
	db $1C, $54, $1C, $55, $1C, $5A, $1C, $47
	db $1C, $26, $1C, $27, $1C, $53, $1C, $45
	db $1C, $26, $1C, $A4, $1C, $34, $1C, $35
	db $1C, $36, $1C, $34, $1C, $34, $1C, $23
	db $1C, $C3, $1C, $53, $1C, $54, $1C, $55
	db $1C, $5A, $1C, $47, $1C, $26, $1C, $27
	db $1C, $53, $1C, $45, $1C, $26, $1C, $A4
	db $1C, $34, $1C, $35, $1C, $36, $1C, $34
	db $1C, $34, $1C, $23, $1C, $B3, $1C, $1C
	db $00, $1C, $00, $1C, $21, $1C, $23, $1C
	db $24, $1C, $45, $1C, $26, $1C, $24, $1C
	db $32, $1C, $83, $1C, $24, $1C, $25, $1C
	db $44, $1C, $52, $1C, $63, $1C, $21, $1C
	db $23, $1C, $24, $1C, $45, $1C, $26, $1C
	db $24, $1C, $32, $1C, $87, $1C, $26, $1C
	db $25, $1C, $46, $1C, $54, $1C, $63, $1C
	db $21, $1C, $23, $1C, $24, $1C, $45, $1C
	db $26, $1C, $24, $1C, $32, $1C, $83, $1C
	db $24, $1C, $25, $1C, $44, $1C, $52, $1C
	db $63, $1C, $21, $1C, $23, $1C, $24, $1C
	db $45, $1C, $26, $1C, $34, $1C, $32, $1C
	db $87, $1C, $26, $1C, $25, $1C, $46, $1C
	db $34, $1C, $25, $1C, $36, $1C, $77, $1C
	db $28, $1C, $37, $1C, $86, $1C, $56, $1C
	db $36, $1C, $27, $1C, $36, $1C, $85, $1C
	db $95, $1C, $33, $1C, $34, $1C, $25, $1C
	db $36, $1C, $34, $1C, $21, $1C, $22, $1C
	db $21, $1C, $24, $1C, $21, $1C, $22, $1C
	db $21, $1C, $37, $1C, $36, $1C, $25, $1C
	db $46, $1C, $57, $1C, $37, $1C, $28, $1C
	db $37, $1C, $26, $1C, $76, $1C, $76, $1C
	db $26, $1C, $4A, $1C, $38, $1C, $27, $1C
	db $48, $1C, $58, $1C, $57, $1C, $56, $1C
	db $55, $1C, $76, $1C, $26, $1C, $A7, $1C
	db $79, $1C, $29, $1C, $AB, $1C, $53, $1C
	db $54, $1C, $55, $1C, $5A, $1C, $47, $1C
	db $26, $1C, $27, $1C, $53, $1C, $45, $1C
	db $26, $1C, $A4, $1C, $34, $1C, $35, $1C
	db $36, $1C, $34, $1C, $34, $1C, $23, $1C
	db $C3, $1C, $53, $1C, $54, $1C, $55, $1C
	db $5A, $1C, $47, $1C, $26, $1C, $27, $1C
	db $53, $1C, $45, $1C, $26, $1C, $A4, $1C
	db $34, $1C, $35, $1C, $36, $1C, $34, $1C
	db $34, $1C, $23, $1C, $B3, $1C
NOTES_END

; First, belttune.prg was turned into a text file
; with OPEN1,8,1,"BELTTDAT,S":CMD1:LIST:CLOSE1
; commands in YAPE with drive 8 set to IEC mode.
; Then with a little spreadsheet trickery the
; used pitches and durations were extracted and
; the melody was transformed into three data
; tables: pitches, durations and note sequence.
; An additional table was generated for durations
; to use in NTSC machines.